ReportFilters.FilterElement (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.optional.sitraka.ReportFilters.FilterElement,ReportFilters.FilterElement class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.sitraka
Class ReportFilters.FilterElement

    java.lang.Object
      |
      +--org.apache.tools.ant.taskdefs.optional.sitraka.ReportFilters.FilterElement

Direct Known Subclasses:
  ReportFilters.Exclude, ReportFilters.Include

Enclosing class:
  ReportFilters

public abstract static class ReportFilters.FilterElement
extends java.lang.Object

default abstract filter element class

Field Summary
`protected java.lang.String` | `clazz`
`protected java.lang.String` | `method`

Constructor Summary
`ReportFilters.FilterElement()`

Method Summary
`java.lang.String` | `getAsPattern()`
`void` | `setClass(java.lang.String value)`
`void` | `setMethod(java.lang.String value)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### clazz

    protected java.lang.String clazz

### method

    protected java.lang.String method

Constructor Detail

### ReportFilters.FilterElement

    public ReportFilters.FilterElement()

Method Detail

### setClass

    public void setClass(java.lang.String value)

### setMethod

    public void setMethod(java.lang.String value)

### getAsPattern

    public java.lang.String getAsPattern()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.